Page MenuHomeLubuntu Development

Set default lock to light-locker-command
ClosedPublic

Authored by apt-ghetto on Jul 25 2019, 3:39 AM.

Details

Summary

Instead of lxlock, which is not part of 18.04/18.04.1, set default lock to light-locker-command.

  • Depend on light-locker
  • Replace lxlock with light-locker-command -l
  • Added changelog entry
Test Plan
  1. Boot Lubuntu 18.04/18.04.1
  2. Login
  3. Delete ~/.config/lxsession/Lubuntu/desktop.conf
  4. Logout
  5. Login
  6. Press CTRL-ALT-L

Diff Detail

Repository
rDEFAULTSETTINGS Lubuntu Default Settings
Branch
ubuntu/bionic
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 47
Build 47: arc lint + arc unit

Event Timeline

apt-ghetto requested review of this revision.Jul 25 2019, 3:39 AM
apt-ghetto created this revision.
wxl requested changes to this revision.Jul 25 2019, 10:10 AM

As I said on the task, the depend shouldn't be here but in the seed and lubuntu-meta. Actually, probably just the latter since I think the former is only really useful for the ISO which is not going to be rebuilt. Yes, sadly, that means another SRU which probably needs its own task.

Also, I do think we need to do something to deal with existing installs to warn them to change the desktop.conf in their $HOME.

This revision now requires changes to proceed.Jul 25 2019, 10:10 AM
apt-ghetto updated this revision to Diff 63.Jul 26 2019, 3:43 AM

Removed depend on light-locker

Removed depend on light locker.
Updated changelog

wxl accepted this revision.Jul 26 2019, 12:34 PM

I accept this somewhat hesitantly. Don't get me wrong: what is here is totally acceptable. The problem I have is that I'm concerned for current users and the fact that this will have no affect on them. I would really like to see a postinst script warning at minimum.

This revision is now accepted and ready to land.Jul 26 2019, 12:34 PM
tsimonq2 accepted this revision.Jul 27 2019, 6:25 PM

LGTM. Could you please edit the bug description on Launchpad to follow the SRU bug template? Once that's done, I'll upload. For now, I feel comfortable merging.

This revision was automatically updated to reflect the committed changes.